Package javassist.compiler.ast

# Class Visitor

java.lang.Object
javassist.compiler.ast.Visitor

public class Visitor extends Object
The visitor pattern.

See Also:
  - `ASTree.accept(Visitor)`

## Constructor Summary

Constructors
Constructor
Description
`Visitor()`

## Method Summary

Modifier and Type
Method
Description
`void`
`atArrayInit(ArrayInit n)`
`void`
`atAssignExpr(AssignExpr n)`
`void`
`atASTList(ASTList n)`
`void`
`atBinExpr(BinExpr n)`
`void`
`atCallExpr(CallExpr n)`
`void`
`atCastExpr(CastExpr n)`
`void`
`atCondExpr(CondExpr n)`
`void`
`atDeclarator(Declarator n)`
`void`
`atDoubleConst(DoubleConst n)`
`void`
`atExpr(Expr n)`
`void`
`atFieldDecl(FieldDecl n)`
`void`
`atInstanceOfExpr(InstanceOfExpr n)`
`void`
`atIntConst(IntConst n)`
`void`
`atKeyword(Keyword n)`
`void`
`atMember(Member n)`
`void`
`atMethodDecl(MethodDecl n)`
`void`
`atNewExpr(NewExpr n)`
`void`
`atPair(Pair n)`
`void`
`atStmnt(Stmnt n)`
`void`
`atStringL(StringL n)`
`void`
`atSymbol(Symbol n)`
`void`
`atVariable(Variable n)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Visitor

public Visitor()

## Method Details

### atASTList

public void atASTList(ASTList n) throws javassist.compiler.CompileError

Throws:
  `javassist.compiler.CompileError`

### atPair

public void atPair(Pair n) throws javassist.compiler.CompileError

Throws:
  `javassist.compiler.CompileError`

### atFieldDecl

public void atFieldDecl(FieldDecl n) throws javassist.compiler.CompileError

Throws:
  `javassist.compiler.CompileError`

### atMethodDecl

public void atMethodDecl(MethodDecl n) throws javassist.compiler.CompileError

Throws:
  `javassist.compiler.CompileError`

### atStmnt

public void atStmnt(Stmnt n) throws javassist.compiler.CompileError

Throws:
  `javassist.compiler.CompileError`

### atDeclarator

public void atDeclarator(Declarator n) throws javassist.compiler.CompileError

Throws:
  `javassist.compiler.CompileError`

### atAssignExpr

public void atAssignExpr(AssignExpr n) throws javassist.compiler.CompileError

Throws:
  `javassist.compiler.CompileError`

### atCondExpr

public void atCondExpr(CondExpr n) throws javassist.compiler.CompileError

Throws:
  `javassist.compiler.CompileError`

### atBinExpr

public void atBinExpr(BinExpr n) throws javassist.compiler.CompileError

Throws:
  `javassist.compiler.CompileError`

### atExpr

public void atExpr(Expr n) throws javassist.compiler.CompileError

Throws:
  `javassist.compiler.CompileError`

### atCallExpr

public void atCallExpr(CallExpr n) throws javassist.compiler.CompileError

Throws:
  `javassist.compiler.CompileError`

### atCastExpr

public void atCastExpr(CastExpr n) throws javassist.compiler.CompileError

Throws:
  `javassist.compiler.CompileError`

### atInstanceOfExpr

public void atInstanceOfExpr(InstanceOfExpr n) throws javassist.compiler.CompileError

Throws:
  `javassist.compiler.CompileError`

### atNewExpr

public void atNewExpr(NewExpr n) throws javassist.compiler.CompileError

Throws:
  `javassist.compiler.CompileError`

### atSymbol

public void atSymbol(Symbol n) throws javassist.compiler.CompileError

Throws:
  `javassist.compiler.CompileError`

### atMember

public void atMember(Member n) throws javassist.compiler.CompileError

Throws:
  `javassist.compiler.CompileError`

### atVariable

public void atVariable(Variable n) throws javassist.compiler.CompileError

Throws:
  `javassist.compiler.CompileError`

### atKeyword

public void atKeyword(Keyword n) throws javassist.compiler.CompileError

Throws:
  `javassist.compiler.CompileError`

### atStringL

public void atStringL(StringL n) throws javassist.compiler.CompileError

Throws:
  `javassist.compiler.CompileError`

### atIntConst

public void atIntConst(IntConst n) throws javassist.compiler.CompileError

Throws:
  `javassist.compiler.CompileError`

### atDoubleConst

public void atDoubleConst(DoubleConst n) throws javassist.compiler.CompileError

Throws:
  `javassist.compiler.CompileError`

### atArrayInit

public void atArrayInit(ArrayInit n) throws javassist.compiler.CompileError

Throws:
  `javassist.compiler.CompileError`